Name:		lilypond
Version:	2.10.20
Release:	1%{?dist}
Summary:	A typesetting system for music notation

Group:		Applications/Publishing
License:	GPL
URL:		http://www.lilypond.org
Source0:	http://www.lilypond.org/download/sources/v2.10/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ghostscript >= 8.15
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

Buildrequires:  t1utils bison flex ImageMagick gettext tetex
BuildRequires:  python-devel >= 2.4.0
BuildRequires:  mftrace >= 1.1.19
BuildRequires:  texinfo >= 4.8
BuildRequires:  guile-devel >= 1.8
BuildRequires:  ghostscript >= 8.15
BuildRequires:  pango-devel >= 1.12.0

%description
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.


%prep
%setup -q


%build
%configure --without-kpathsea --disable-checking \
	--with-ncsb-dir=%{_datadir}/fonts/default/Type1
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT package_infodir=%{_infodir} \
	vimdir=%{_datadir}/vim/vim70

chmod +x $RPM_BUILD_ROOT%{_libdir}/%{name}/%{version}/python/midi.so

# Symlink lilypond-init.el in emacs' site-start.d directory
pushd $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mkdir site-start.d
ln -s ../lilypond-init.el site-start.d
popd

# Change encoding to UTF8
pushd $RPM_BUILD_ROOT%{_infodir}
iconv -f iso-8859-1 -t utf-8 music-glossary.info > music-glossary.info.utf8
mv music-glossary.info.utf8 music-glossary.info
sed -e s,lilypond/,, -i *.info
popd

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :


%preun
if [ "$1" = "0" ]; then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS.txt COPYING DEDICATION HACKING INSTALL.txt
%doc NEWS.txt README.txt ROADMAP THANKS VERSION
%{_bindir}/*
%{_libdir}/lilypond
%{_datadir}/lilypond
%{_datadir}/emacs/site-lisp
%{_datadir}/vim/vim*
%{_infodir}/*.gz
%{_mandir}/man1/*
%{_datadir}/omf/lilypond


%changelog
* Tue Apr 11 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.20-1
- New release.

* Thu Feb 15 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.17-1
- New release. Fix bug 225410.

* Thu Jan 25 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.13-1
- New release.

* Fri Jan  5 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.8-1
- New release.
- Fix source URL.

* Sat Dec 23 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.4-1
- New release.
- Finish fixing bug 219400.

* Wed Dec 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.2-2
- New release.
- Fix bug 219400.

* Wed Dec  6 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.1-1
- New release.

* Mon Nov 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.0-1
- New release. Update build requirements for 2.10 series.

* Fri Nov  3 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.8-1
- New release.

* Mon Oct  9 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.7-1
- New release.

* Wed Sep  6 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.6-2
- Rebuild for FC6
- Update directory for vim.
- Don't ghost .pyo files, as per changes in packaging guidelines (bug 205387).

* Thu Aug 10 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.6-1
- New release.

* Tue Jun  6 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.4-1
- New release.

* Sat May 20 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.3-1
- New upstream, remove patch.
- Put docs in separate SRPM.

* Mon May 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.2-3
- Fixes to dependencies, encoding of info files.
- Add docs as separate tarball (building them fails without ghostscript 8.50).

* Mon May 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.2-2
- Patch to fix segfault in fontconfig.

* Sat May 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.2-1
- New release.

* Tue May  2 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-4
- Add missing BuildRequires.
- Specify location of NCSB fonts to configure script.
- Disable parallel build.

* Tue Apr 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-3
- Make .so file executable.

* Tue Apr 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-2
- Use gettext.

* Mon Apr 10 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-1
- Initial build.
